### Function

# Clutter EventFilterFunc

#### Declaration

    gboolean
    (* ClutterEventFilterFunc) (
      const ClutterEvent* event,
      ClutterActor* event_actor,
      gpointer user_data
    )

#### Description [src]

A function pointer type used by event filters that are added with `clutter_event_add_filter()`.

#### Parameters

`event`

  Type: `ClutterEvent`

  The event that is going to be emitted.

  The data is owned by the caller of the function.

`event_actor`

  Type: `ClutterActor`

  The current device actor of the events device.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The data pointer passed to `clutter_event_add_filter()`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`CLUTTER_EVENT_STOP` to indicate that the event has been handled or `CLUTTER_EVENT_PROPAGATE` otherwise. Returning `CLUTTER_EVENT_STOP` skips any further filter functions and prevents the signal emission for the event.